# $Revision: 1.18 $, $Date: 2006/05/21 15:40:52 $
Summary:	A streaming web video server and utilities
Summary(pl):	Serwer strumieni obrazu z WWW i narzdzia
Name:		camserv
Version:	0.5.1
Release:	3
License:	GPL
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/cserv/%{name}-%{version}.tar.gz
# Source0-md5:	ad6a1c9a5b522a4ee2189c66d7fbda72
Source1:	%{name}.init
Source2:	%{name}-relay.init
Source3:	%{name}-relay.sysconfig
Patch0:		%{name}-link.patch
Patch1:		%{name}-errno.patch
URL:		http://cserv.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gdk-pixbuf-devel >= 0.14.0
BuildRequires:	imlib2-devel >= 1.0.6
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	gdk-pixbuf >= 0.14.0
Requires:	imlib2 >= 1.0.5
Requires:	libjpeg >= 6b
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Camserv is an extremely modular program for doing streaming video from
your Unix machine to web clients. Filters can be added for text on the
displayed window, and anything else one wants to add.

In addition portability to other unices should be incredibly easy
given the modularity of the camera plugin modules.

Utilities for camera broadcast webserver offloading are also included.

%description -l pl
Camserv jest skrajnie modularnym programem do tworzenia strumieni
obrazu dla klientw sieciowych. Mog by dodane filtry dla tekstu w
wywietlanym okienku, a take wszystkiego innego, co chciaoby si
doda.

Ponadto powinien by atwo przenony na inne uniksy dziki
modularnoci wtyczek dla kamer.

Doczono take narzdzia do obsugi serwera obrazu z kamer.

%package relay
Summary:	Relay for camserv
Summary(pl):	Przekanik dla camserva
Group:		Networking
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts

%description relay
Relay for camserv.

%description relay -l pl
Przekanik dla camserva.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

rm -rf libltdl

%build
%{__libtoolize} --ltdl
%{__aclocal} -I macros
%{__autoconf}
%{__autoheader}
%{__automake}
cd libltdl
%{__autoconf}
cd ..
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_sysconfdir}/%{name},/etc/{sysconfig,rc.d/init.d}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}-relay
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}-relay

mv -f $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}.cfg $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/%{name}.cfg
mv -f $RPM_BUILD_ROOT%{_datadir}/%{name}/defpage.html $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/defpage.html

ln -s %{_sysconfdir}/%{name}/%{name}.cfg $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}.cfg
ln -s %{_sysconfdir}/%{name}/defpage.html $RPM_BUILD_ROOT%{_datadir}/%{name}/defpage.html

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%post relay
/sbin/chkconfig --add %{name}-relay
%service %{name}-relay restart

%preun relay
if [ "$1" = "0" ]; then
	%service %{name}-relay stop
	/sbin/chkconfig --del %{name}-relay
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO javascript.txt
%attr(755,root,root) %{_bindir}/camserv
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.cfg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/defpage.html
%dir %{_datadir}/camserv
%{_datadir}/camserv/camserv.cfg
%{_datadir}/camserv/defpage.html
%dir %{_libdir}/camserv
%attr(755,root,root) %{_libdir}/camserv/lib*.so*
%{_libdir}/camserv/lib*.la
%attr(754,root,root) /etc/rc.d/init.d/%{name}

%files relay
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/relay
%attr(754,root,root) /etc/rc.d/init.d/%{name}-relay
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}-relay

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: camserv.spec,v $
Revision 1.18  2006/05/21 15:40:52  glen
- rel 3

Revision 1.17  2006/03/19 17:11:49  glen
- using %service

Revision 1.16  2006/02/24 15:20:04  glen
- use %service

Revision 1.15  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.14  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.13  2003/08/22 15:33:14  ankry
- spaces -> tabs

Revision 1.12  2003/08/18 09:08:25  qboosh
- init script deps, missing dir

Revision 1.11  2003/08/16 17:27:41  ankry
- desc fix

Revision 1.10  2003/08/16 09:59:51  arekm
- added init scripts

Revision 1.9  2003/08/06 16:41:24  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.8  2003/07/09 09:27:49  qboosh
- added link and errno patches, added BRs (Reqs left for min. versions)
- removed COPYING from doc (just GPL)

Revision 1.7  2003/07/08 09:59:11  ankry
- some BR instead of Requires

Revision 1.6  2003/07/08 09:50:49  ankry
- 0.5.1, untested

Revision 1.5  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:46:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/11/01 19:26:28  ankry
- Source URL added; note: 0.5.1 is available

Revision 1.2  2002/11/01 14:37:45  qboosh
- cleanup, pl description, added missing dirs, removed static plugins

Revision 1.1  2002/10/27 21:52:38  misiek
- raw

* Sun Mar 10 2002 Jon Travis <jtravis@p00p.org>
- Long overdue release which mainly fixes up build issues

* Sun Feb 13 2000 Jon Travis <jtravis@cse.unl.edu>
- Yet another release.. yay.

* Thu Nov 18 1999 Jon Travis <jon@dsndata.com>
- Another release.. yay.

* Wed Oct 27 1999 Jon Travis <jon@dsndata.com>
- Initial package creation
